#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QTime>
#include <QTimer>
#include <QDate>
#include <QDateTime>

namespace Ui {
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

private:
    Ui::Dialog *ui;
    QTimer *blinker;
    QTime utc;
    QDate utc_date;
    QDateTime utc_dt;
    QString utc_time;
    QTime loco;
    QDate loco_date;
    QDateTime loco_dt;
    QString loco_time;
    QString u_date;
    QString l_date;
    QTime t_cur;
    QDate d_cur;
    QTime ts_alm;
    QDate ds_alm;
    QTime te_alm;
    QDate de_alm;
    int hr;
    int mn;
    int active_icon; // 1 = green, 2 = yellow, 3 = red
    qint64 current_time;
    qint64 alarm_time;
    qint64 warning_period;

  private slots:
    void on_contest_CB_toggled(bool checked);
    void on_end_dTE_timeChanged(QTime date);
    void on_start_dTE_timeChanged(QTime date);
    void on_pushButton_clicked();
    void on_reset_PB_clicked();
    void up_to_date();
    void run_checks();
    void checkvalid();
    void blink();
    void blink_toggle();

};

#endif // DIALOG_H
